package de.accso.flexinale.ticketing.domain.dao;

import de.accso.flexinale.common.domain.dao.AbstractDao;
import de.accso.flexinale.common.shared_kernel.Identifiable;
import de.accso.flexinale.ticketing.domain.model.Ticket;

import java.util.List;
import java.util.Optional;

public interface TicketDao extends AbstractDao<Ticket> {

    @Override
    Optional<Ticket> findById(final Identifiable.Id id);

    List<Ticket> findByBesucherOrderByZeit(final Identifiable.Id besucherId);

    int gesamtZahlDerTicketsFuer(final Identifiable.Id besucherId);
}
